| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC726B_A.ino File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC6903: 1kHz to 68MHz Serial Port Programmable Oscillator

Linear Technology DC726B-A (or DC726A-A) Demonstration Board. More...

## Detailed Description

Linear Technology DC726B-A (or DC726A-A) Demonstration Board.

LTC6903: 1kHz to 68MHz Serial Port Programmable Oscillator

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator. Equipment
       required is a precision voltage source and a precision voltmeter (to monitor
       voltage source). No external power supply is required. Ensure JP1 is installed in
       the default position from the factory.

      Demo Board Configuration:
       To properly use this program with the DC72B-A (or the DC726A-A) demo board, JMP 2
       needs to be set to QuikEval.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC6903

http://www.linear.com/product/LTC6903#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC726B_A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | settings ()
| Configures the output. More...
static void | set_frequency ()
| Sets the output frequency. More...
static void | manually_set_reg ()
| Manually Sets OCT and DAC Code. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | output_config = LTC6903_CLK_ON_CLK_INV_ON
| Keeps track of output configuration. More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 103 of file DC726B_A.ino.

## ◆ manually_set_reg()

static void manually_set_reg | ( |  | ) |
| static

Manually Sets OCT and DAC Code.

Definition at line 176 of file DC726B_A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 145 of file DC726B_A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 130 of file DC726B_A.ino.

## ◆ set_frequency()

static void set_frequency | ( |  | ) |
| static

Sets the output frequency.

Definition at line 156 of file DC726B_A.ino.

## ◆ settings()

static void settings | ( |  | ) |
| static

Configures the output.

Definition at line 202 of file DC726B_A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 93 of file DC726B_A.ino.

## Variable Documentation

## ◆ output_config

uint8_t output_config = LTC6903_CLK_ON_CLK_INV_ON
| static

Keeps track of output configuration.

Definition at line 90 of file DC726B_A.ino.